--- bridges/bridge_softmix.c.orig	2009-12-20 15:45:19.000000000 -0500
+++ bridges/bridge_softmix.c	2009-12-20 15:45:51.000000000 -0500
@@ -99,6 +99,11 @@
 /*! \brief Function called when a bridge is destroyed */
 static int softmix_bridge_destroy(struct ast_bridge *bridge)
 {
+	//If no timing is present, we return
+	if (!bridge->bridge_pvt) {
+		return -1;
+	}
+
 	ast_timer_close((struct ast_timer *) bridge->bridge_pvt);
 
 	return 0;
